/*
 * @Author: fxs bjnsfxs@163.com
 * @Date: 2024-09-10 10:31:42
 * @LastEditors: fxs bjnsfxs@163.com
 * @LastEditTime: 2024-10-10 15:37:44
 * @FilePath: \Game-Backstage-Management-System\src\hooks\usePage.ts
 * @Description:
 *
 */
import { onActivated, onDeactivated, watch } from 'vue'
import { compareWatchData, saveWatchData } from '@/utils/common'

export function usePage() {
  const watchPageChange = (
    watchData: () => Array<any>,
    backupData: any,
    cb: (...argus: any[]) => void
  ) => {
    let watchStop: (() => void) | null = null

    onActivated(() => {
      const currentData = watchData()

      if (!compareWatchData(backupData, currentData)) {
        cb(...currentData)
      }

      if (!watchStop) {
        watchStop = watch(
          () => watchData(),
          (newData) => {
            cb(...newData)
          },
          { deep: true }
        )
      }
    })

    onDeactivated(() => {
      if (watchStop) {
        const currentData = watchData()
        saveWatchData(currentData, backupData)
        watchStop()
        watchStop = null
      }
    })
  }

  return {
    watchPageChange
  }
}
