/*
 * @Author: fxs bjnsfxs@163.com
 * @Date: 2024-08-20 14:24:58
 * @LastEditors: fxs bjnsfxs@163.com
 * @LastEditTime: 2024-11-29
 * @Description:
 *
 */
import type { RouteLocationNormalized, NavigationGuardNext } from 'vue-router'
export default [
  {
    path: '/home',
    redirect: '/home/overView',
    name: 'Home',
    children: [
      {
        path: 'overView',
        name: 'OverView',
        icon: 'PieChart',
        cnName: '数据总览',
        component: () => import('@/views/Home/Overview/OverView.vue'),
        meta: {
          activeMenu: 'overView',
          needKeepAlive: true
        }
      },
      {
        path: 'infoManage',
        cnName: '信息管理',
        icon: 'Histogram',
        showChild: true,
        children: [
          {
            path: 'gameManageView',
            name: 'GameManageView',
            cnName: '游戏管理',
            component: () => import('@/views/Home/InfoManage/GameManageView.vue'),
            meta: {
              activeMenu: 'gameManageView',
              needKeepAlive: true
            }
          },
          {
            path: 'playerManageView',
            name: 'PlayerManageView',
            cnName: '玩家管理',
            component: () => import('@/views/Home/InfoManage/PlayerManageView.vue'),
            meta: {
              activeMenu: 'playerManageView',
              needKeepAlive: true
            }
          }
        ]
      },
      {
        path: 'dataAnalysis',
        cnName: '数据分析',
        icon: 'DataAnalysis',
        showChild: true,
        children: [
          {
            path: 'keepView',
            name: 'KeepView',
            cnName: '留存分析',
            component: () => import('@/views/Home/Analysis/KeepView.vue'),
            meta: {
              activeMenu: 'keepView',
              needKeepAlive: true
            }
          },
          {
            path: 'userTrendView',
            name: 'UserTrendView',
            cnName: '用户趋势',
            component: () => import('@/views/Home/Analysis/UserTrendView.vue'),
            meta: {
              activeMenu: 'userTrendView',
              needKeepAlive: true
            }
          },

          {
            path: 'eventAnalysisView',
            name: 'EventAnalysisView',
            cnName: '事件分析',
            showChild: false,
            redirect: '/home/dataAnalysis/eventAnalysisView/eventAnalysisTable',
            component: () => import('@/views/Home/Analysis/EventAnalysisView.vue'),
            meta: {
              activeMenu: 'eventAnalysisView',
              needKeepAlive: true
            },
            children: [
              {
                path: 'eventAnalysisTable',
                name: 'EventAnalysisTable',
                component: () => import('@/views/Home/Analysis/EventAnalysisTable.vue')
              },
              {
                path: 'eventAnalysisDetail',
                name: 'EventAnalysisDetail',
                component: () => import('@/views/Home/Analysis/EventAnalysisDetail.vue'),
                beforeEnter: (
                  to: RouteLocationNormalized,
                  from: RouteLocationNormalized,
                  next: NavigationGuardNext
                ) => {
                  // next()
                  if (
                    !from.name ||
                    to.fullPath === '/home/dataAnalysis/eventAnalysisView/eventAnalysisDetail'
                  ) {
                    // 当页面刷新（即没有来源路由）时，重定向到 /eventManage/eventTable
                    next({ path: '/home/dataAnalysis/eventAnalysisView/eventAnalysisTable' })
                  } else {
                    next()
                  }
                }
              }
            ]
          },
          {
            path: 'userBehavior',
            name: 'UserBehavior',
            cnName: '用户行为',
            component: () => import('@/views/Home/Analysis/UserBehavior.vue'),
            meta: {
              activeMenu: 'userBehavior',
              needKeepAlive: true
            }
          },

          {
            path: 'advertisingUsers',
            name: 'AdvertisingUsers',
            cnName: '广告用户',
            component: () => import('@/views/Home/Analysis/AdvertisingUsers.vue'),
            meta: {
              activeMenu: 'advertisingUsers',
              needKeepAlive: true
            }
          }
        ]
      },
      {
        path: 'advertisingData',
        cnName: '广告数据',
        icon: 'Tickets',
        showChild: true,
        children: [
          {
            path: 'advertisingOverview',
            name: 'AdvertisingOverview',
            cnName: '数据总览',
            component: () => import('@/views/Home/AdvertisingData/AdvertisingOverview.vue'),
            meta: {
              activeMenu: 'advertisingOverview',
              needKeepAlive: true
            }
          },
          {
            path: 'advertisingList',
            name: 'AdvertisingList',
            cnName: '广告列表',
            component: () => import('@/views/Home/AdvertisingData/AdvertisingList.vue'),
            meta: {
              activeMenu: 'advertisingList',
              needKeepAlive: true
            }
          }
        ]
      }
    ]
  }
]
