/*
 * @Author: fxs bjnsfxs@163.com
 * @Date: 2024-08-22 10:05:10
 * @LastEditors: fxs bjnsfxs@163.com
 * @LastEditTime: 2024-10-15 11:24:59
 * @FilePath: \Game-Backstage-Management-System\src\stores\useTable.ts
 * @Description:
 *
 */

import { reactive } from 'vue'
import { defineStore } from 'pinia'

interface QueryGameInfo {
  gid: string
  gameName: string
}

export const useTableStore = defineStore('tableStore', () => {
  // 用户表查询的时候的参数
  const playerQueryInfo = reactive({
    gid: '1001',
    pf: 'wx'
  })

  // 更新用户表查询参数
  const updateQueryInfo = (newGid: string, newPf: string) => {
    playerQueryInfo.gid = newGid
    playerQueryInfo.pf = newPf
  }

  // 所有的游戏信息
  const allGameInfo = reactive<Array<QueryGameInfo>>([])

  const setGameInfo = (list: Array<QueryGameInfo>) => {
    // allGameInfo = list
    allGameInfo.length = 0
    allGameInfo.push(...list)
  }

  return { playerQueryInfo, allGameInfo, updateQueryInfo, setGameInfo }
})
