import type { ReqConfig } from '@/types/dataAnalysis'
import type { FormRules } from 'element-plus'

export type ValueTypes = 'string' | 'int' | 'float'

export enum FormFieldType {
  SELECT = 'select',
  INPUT = 'input',
  RICHTEXT = 'richText'
}

export interface FormField {
  name: string
  cnName: string
  type: FormFieldType
  valueType?: ValueTypes
  otherOptions?: {
    placeholder?: string
    options?: Array<{ name: string; label: string; value: any }>
  }
}

export interface FormConfig {
  reqConfig: ReqConfig
  fieldsInfo: Array<FormField>
  rules: FormRules
}
