/*
 * @Author: fxs bjnsfxs@163.com
 * @Date: 2024-08-20 17:56:13
 * @LastEditors: fxs bjnsfxs@163.com
 * @LastEditTime: 2024-11-29
 * @FilePath: \Game-Backstage-Management-System\src\types\table.ts
 * @Description:
 *
 */
import type { ReqConfig } from './dataAnalysis'
import type { ValueTypes } from './form'
import type { SpecialEffect } from './tableText'

// 颜色类型
// export enum ColorType {
//   PRIMARY = 'primary',
//   SUCCESS = 'success',
//   INFO = 'info',
//   WARNING = 'warning',
//   DANGER = 'danger'
// }

// export interface GameTableData {
//   gameName: string //游戏名称
//   gid: string //游戏ID
//   ttAppid: string //游戏 tt 平台id
//   ttSecret: string //游戏 tt 平台密钥
//   wxAppid: string //游戏 微信平台 id
//   wxSecret: string // 游戏 微信 平台密钥
// }

// 表格分页的数据类型
export interface TablePaginationSetting {
  limit: number // 每页展示个数
  currentPage: number // 当前页码
  total: number // 数据总数
  pageSizeList: Array<number> // 页数大小列表
}

// 表格信息过滤时，需要用到的过滤类型
export enum FilterType {
  INPUT = 'input',
  SELECT = 'select',
  MULTI_SELECT = 'multiSelect',
  DATE = 'date',
  CUSTOM = 'custom'
}

// 筛选信息的格式
export interface QueryInfo {
  name: string
  label: string

  type: FilterType
  placeholder: string
  /**
   * 对此项的补充信息
   */
  supplementInfo?: string
  valueType?: ValueTypes
  otherOption?: any
  default?: any
}

// 表格字段信息格式
export interface TableFieldInfo {
  name: string
  cnName: string
  isShow: boolean
  needSort: boolean
  specialEffect?: SpecialEffect
}

/**
 * 表格组件的属性
 */
export interface PropsParams {
  loadingState?: boolean // loading动画，这个配置是当数据直接由外部控制时触发
  needRowindex?: boolean // 是否需要行号
  needAverage?: boolean // 是否需要均值功能
  needLeftTools?: boolean // 是否需要左侧的工具栏
  /**
   *  是否需要右侧工具栏
   * 如果需要筛选字段，请把tableFieldsInfo设置为响应式对象
   */
  needRightTools?: boolean
  needUpload?: boolean // 是否需要上传功能
  needDownload?: boolean // 是否需要下载功能

  openFilterQuery?: boolean // 是否开启上方查询功能
  openPageQuery?: boolean // 是否开启分页功能
  openRemoteQuery?: boolean // 是否开启远程查询

  dataList?: Array<any> // 表格数据，可以直接传入，也可以给请求地址来请求
  queryInfo?: Array<QueryInfo> // 上方查询功能所需要的信息
  paginationConfig?: TablePaginationSetting // 表格分页的信息
  tableFieldsInfo: Array<TableFieldInfo> // 表格字段信息
  requestConfig?: ReqConfig

  watchReqProps?: Array<string> // 需要被监听的属性
}

// 选择下拉框的信息格式
export interface SelectInfo {
  name: string
  cnName: string
  value: any
}

// 对话框设置
export interface DialogSetting {
  dialogVisible: boolean
  title: string
  formLabelWidth: string
  type: number // 0 是新增 1是修改
}
